Bug 617111 - python NameError "global name 'taskomatic' is not defined" at the end of spacewalk-repo-sync
Summary: python NameError "global name 'taskomatic' is not defined" at the end of spac...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server   
(Show other bugs)
Version: 1.1
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Jan Hutař
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: space12
TreeView+ depends on / blocked
 
Reported: 2010-07-22 08:36 UTC by Garik Khachikyan
Modified: 2015-01-04 21:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-19 16:16:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Garik Khachikyan 2010-07-22 08:36:51 UTC
Description of problem:
At the end of spacewalk-repo-sync command (when all the packages are fetched) there is thrown an error:
---
Traceback (most recent call last):
  File "/usr/bin/spacewalk-repo-sync", line 72, in ?
    sys.exit(abs(main() or 0))
  File "/usr/bin/spacewalk-repo-sync", line 66, in main
    sync.main()
  File "/usr/share/rhn/satellite_tools/reposync.py", line 108, in main
    taskomatic.add_to_repodata_queue_for_channel_package_subscription(
NameError: global name 'taskomatic' is not defined
---

Version-Release number of selected component (if applicable):
spacewalk-schema-1.1.18-1.el5
spacewalk-oracle-1.1.5-1.el5

How reproducible:
1/1 attempt

Steps to Reproduce:
1. run spacewalk-repo-sync on any repository
2.
3.
  
Actual results:
the traceback

Expected results:
No traceback, normal exit.

Additional info:

Comment 1 Michael Mráka 2010-07-22 09:12:39 UTC
Has been already fixed by 
commit e29090bfcb766a3a5bb2d6793e16ef41c28afe7b
    add missing import
    
    Related commit: 8cf8bbcd7cd6fcddde01df5032994c857107abcc
    
    This is to avoid traceback during reposync:
    
    Traceback (most recent call last):
      File "/usr/bin/spacewalk-repo-sync", line 72, in ?
        sys.exit(abs(main() or 0))
      File "/usr/bin/spacewalk-repo-sync", line 66, in main
        sync.main()
      File "/usr/share/rhn/satellite_tools/reposync.py", line 108, in main
        taskomatic.add_to_repodata_queue_for_channel_package_subscription(
    NameError: global name 'taskomatic' is not defined

Which is included in spacewalk-backend-1.1.41-1.

Comment 2 Jan Pazdziora 2010-10-27 08:32:04 UTC
Mass-aligning under space12, so that we don't lose track of this bugzilla. This however does not mean that we plan (will be able to) address this bug in Spacewalk 1.2.

Comment 5 Jan Pazdziora 2010-11-19 16:16:18 UTC
With Spacewalk 1.2 released, marking as CLOSED CURRENTRELEASE.

https://www.redhat.com/archives/spacewalk-list/2010-November/msg00111.html


Note You need to log in before you can comment on or make changes to this bug.